<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/06/2004 *
 * ===================                          Last change: 12/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : css.php                                          *
 * -------------------------------------------------------------------- *
 * Short description : Cascading Style Sheets output                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ausgabe der Cascading-Style-Sheets (CSS)         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Footer is disabled in CSS mode
$GLOBALS['footer_sent'] = -1;

// This is a CSS file loader!
$GLOBALS['output_mode'] = 1;
$GLOBALS['module'] = 'css';

// Load the required file(s)
require('inc/config-global.php');

// Set header
setContentType('text/css');

// Load header
loadIncludeOnce('inc/header.php');

// Load CSS code
loadInclude('inc/stylesheet.php');

// Load footer
loadIncludeOnce('inc/footer.php');

// [EOF]
?>
