<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/09/2004 *
 * ===================                          Last change: 04/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-stats.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Setup default statistics mode                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Standard Modus der Statistiken einstellen        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Was the form submitted?
if (isFormSent()) {
	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Guest stats
	foreach (array('members','modules','inactive') as $entry) {
		$content['guest_stats_' . $entry] = '';
	} // END - foreach

	// Prepare selected entry
	$content['guest_stats_' . strtolower(getConfig('guest_stats'))]  = ' selected="selected"';

	// Load template
	loadTemplate('admin_config_stats', false, $content);
}

// [EOF]
?>
